IF EXISTS (SELECT * FROM sys.views WHERE name = 'ENT_YBBYS_IPTAL_DOSYA_LISTESI')
BEGIN
    EXEC('
        ALTER VIEW ENT_YBBYS_IPTAL_DOSYA_LISTESI
        AS
        SELECT  HDIPTAL, HDOSYAID, HDTARIH, SUBEID, HKIMLIKID 
        FROM [HDOSYA] 
        WHERE HDTEKLIF=0 AND HDIPTAL=1
    ')
	--PRINT 1
END
ELSE
BEGIN
    EXEC('
        CREATE VIEW ENT_YBBYS_IPTAL_DOSYA_LISTESI
        AS
        SELECT  HDIPTAL, HDOSYAID, HDTARIH, SUBEID, HKIMLIKID 
        FROM [HDOSYA] 
        WHERE HDTEKLIF=0 AND HDIPTAL=1
    ')
	--PRINT 2
END
